'use strict';

const path = require('path');

module.exports.TARGET_ROOT_PATH = path.join(process.cwd(), 'packages');
module.exports.TARGET_ROOT_REMOTES_PATH = path.join(process.cwd(), 'remotes');
module.exports.SKELETONS_ROOT_PATH = path.join(__dirname, 'skeletons', 'package');
module.exports.FRONTEND_SKELETON_EUI19_PATH = path.join(this.SKELETONS_ROOT_PATH, 'frontend', '19.x', 'default');
module.exports.FRONTEND_SKELETON_EUI19_SDLC_PATH = path.join(this.SKELETONS_ROOT_PATH, 'frontend', '19.x', 'default-sdlc');
module.exports.FRONTEND_SKELETON_EUI19_PARTICIPANT_DEFAULT_PATH = path.join(this.SKELETONS_ROOT_PATH, 'frontend', '19.x', 'participant-default');
module.exports.FRONTEND_SKELETON_EUI19_PARTICIPANT_NGRX_PATH = path.join(this.SKELETONS_ROOT_PATH, 'frontend', '19.x', 'participant-ngrx');
module.exports.BACKEND_SKELETON_PATH = path.join(this.SKELETONS_ROOT_PATH, 'backend');
module.exports.VIRTUAL_REMOTE_SKELETON_ROOT_PATH = path.join(__dirname, 'skeletons', 'virtual-remote');

module.exports.CONFIG_OPTIONS = {
  pkgType: {
    FRONTEND: 'frontend',
    BACKEND: 'backend'
  },
  pkgFrontendType: {
    DEFAULT: 'default',
    REMOTE: 'remote'
  },
  pkgFrontendVersion: {
    EUI19: '19',
  }
}

module.exports.DEFAULT_CONFIG = {
  pkgType: this.CONFIG_OPTIONS.pkgType.FRONTEND,
  pkgFrontendType: this.CONFIG_OPTIONS.pkgFrontendType.DEFAULT,
  pkgFrontendVersion: this.CONFIG_OPTIONS.pkgFrontendVersion.EUI19,
  pkgName: 'my-package',
  pkgScope: '@zzz',
  isCsdrRepo: true,
  externalRepoName: null,
  pkgGroupId: 'eu.europa.ec.cc',
  sdlc: true
};
